Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class PropertiesConfiguration.PropertiesWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              org.apache.commons.configuration.PropertiesConfiguration.PropertiesWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  PropertiesConfiguration

    public static class PropertiesConfiguration.PropertiesWriter

extends FilterWriter

This class is used to write properties lines.

Field Summary

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`PropertiesConfiguration.PropertiesWriter(Writer writer, char delimiter)` Constructor.

Method Summary
`void` | `writeComment(String comment)` Write a comment.
`void` | `writeln(String s)` Helper method for writing a line with the platform specific line ending.
`void` | `writeProperty(String key, List values)` Write a property.
`void` | `writeProperty(String key, Object value)` Write a property.
`void` | `writeProperty(String key, Object value, boolean forceSingleLine)` Writes the given property and its value.

Methods inherited from class java.io.FilterWriter
`close, flush, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesConfiguration.PropertiesWriter

    public PropertiesConfiguration.PropertiesWriter(Writer writer,
                                                    char delimiter)

  Constructor.

  Parameters:
    `writer` - a Writer object providing the underlying stream
    `delimiter` - the delimiter character for multi-valued properties

Method Detail

### writeProperty

    public void writeProperty(String key,
                              Object value)
                       throws IOException

  Write a property.

  Parameters:
    `key` - the key of the property
    `value` - the value of the property
  Throws:
    `IOException` - if an I/O error occurs

### writeProperty

    public void writeProperty(String key,
                              List values)
                       throws IOException

  Write a property.

  Parameters:
    `key` - The key of the property
    `values` - The array of values of the property
  Throws:
    `IOException` - if an I/O error occurs

### writeProperty

    public void writeProperty(String key,
                              Object value,
                              boolean forceSingleLine)
                       throws IOException

  Writes the given property and its value. If the value happens to be a list, the `forceSingleLine` flag is evaluated. If it is set, all values are written on a single line using the list delimiter as separator.

  Parameters:
    `key` - the property key
    `value` - the property value
    `forceSingleLine` - the "force single line" flag
  Throws:
    `IOException` - if an error occurs
  Since:
    1.3

### writeComment

    public void writeComment(String comment)
                      throws IOException

  Write a comment.

  Parameters:
    `comment` - the comment to write
  Throws:
    `IOException` - if an I/O error occurs

### writeln

    public void writeln(String s)
                 throws IOException

  Helper method for writing a line with the platform specific line ending.

  Parameters:
    `s` - the content of the line (may be null)
  Throws:
    `IOException` - if an error occurs
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.